Summary: A color vt102 terminal emulator.
Name: aterm
Version: 0.2.0
Release: 1
Copyright: GPL
Group: User Interface/X
Source: http://members.xoom.com/sashav/aterm/aterm-0.2.0.tar.gz
Patch0: aterm-glibc.patch
URL: http://members.xoom.com/sashav/aterm
Source1: aterm.wmconfig
Buildroot: /var/tmp/aterm-root

%description
Aterm is a color vt102 terminal emulator based on rxvt 2.4.8, with the
addition of fast transparency. Aterm is intended to be a replacement for
xterm, for users who don't require features like Textronix 4014 emulation
and toolkit-style configurability. Without those capabilities, aterm uses
much less swap space than xterm. This is a significant advantage for a
machine which is serving many X sessions.

%prep
%setup -q 
%patch0 -p1 -b .orig

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--enable-utmp --enable-wtmp --enable-xpm-background \
	--enable-transparency --enable-menubar --enable-graphics \
	--enable-next-scroll --disable-backspace-key \
	--disable-delete-key --enable-xgetdefault

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
install -m 644 $RPM_SOURCE_DIR/aterm.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/aterm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc
/usr/X11R6/bin/aterm
/usr/X11R6/man/man1/aterm.1
%config(missingok) /etc/X11/wmconfig/aterm

%changelog
* Thu Jan 6 1999 Michael Maher <mike@redhat.com>
- rebuilt package against glibc 2.1

* Thu Dec 31 1998 Ryan Weaver <ryanw@infohwy.com>
  [aterm-0.2.0-1]
- First RPM
- *Converted documentation to aterm vs. rxvt
- *src/features.h [ATERM_PATH_ENV]: Added ATERMPATH env. variable to
  define PATH where to search for files. Aterm is now looking in ATERMPATH,
  then RXVTPATH, and only then in PATH.
- * --enable-transparency and --enable-next-scroll are now set by default.
